# Exception List Items

## List All Items in an Exception List

> Returns a list of all items within a specific exception list.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Exception Lists","version":"v12"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"ExceptionListItem":{"type":"object","properties":{"Id":{"type":"integer","description":"The unique identifier for the exception list item."},"Value":{"type":"string","description":"The CATEGORY or SKU value."},"Name":{"type":"string","description":"Display name for the item."},"MatchMode":{"type":"string","description":"How the value is matched against incoming actions.","enum":["EQ","REGEX"]},"ListId":{"type":"integer","description":"The unique identifier of the parent exception list."},"CreatedDate":{"type":"string","format":"date-time","description":"The date and time the item was created."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this item in the impact.com API."}}}}},"paths":{"/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items":{"get":{"summary":"List All Items in an Exception List","description":"Returns a list of all items within a specific exception list.","operationId":"listExceptionListItems","tags":["Exception List Items"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"Your unique Account SID."},{"name":"ExceptionListId","in":"path","required":true,"schema":{"type":"integer"},"description":"The unique identifier for the exception list."},{"name":"Value","in":"query","schema":{"type":"string"},"description":"Filter items by their 'Value' (the SKU or Category)."}],"responses":{"200":{"description":"A list of exception list item objects.","content":{"application/json":{"schema":{"type":"object","properties":{"ExceptionListItems":{"type":"array","description":"The list of items in this exception list.","items":{"$ref":"#/components/schemas/ExceptionListItem"}}}}}}}}}}}}
```

## Create Item(s) for an Exception List

> Creates one or more new items for an exception list, either via form parameters or by file upload.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Exception Lists","version":"v12"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"SuccessUriResponse":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the operation was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the affected resource."}}}}},"paths":{"/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items":{"post":{"summary":"Create Item(s) for an Exception List","description":"Creates one or more new items for an exception list, either via form parameters or by file upload.","operationId":"createExceptionListItems","tags":["Exception List Items"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"Your unique Account SID."},{"name":"ExceptionListId","in":"path","required":true,"schema":{"type":"integer"},"description":"The unique identifier for the exception list."}],"requestBody":{"description":"Provide either form parameters for a single item or a file for bulk creation.\n\nTo create a single item, send `Value` (and optionally `Name`) as `application/x-www-form-urlencoded`.\n\nTo bulk-upload items from a `.csv` or `.xlsx` file, switch the content type to `multipart/form-data` and send the `File` parameter.","required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","required":["Value"],"properties":{"Value":{"type":"string","description":"The CATEGORY or SKU value."},"Name":{"type":"string","description":"Display name for the item."},"Upsert":{"type":"boolean","default":false,"description":"If true, updates an existing item with the same 'Value'."}}}},"multipart/form-data":{"schema":{"type":"object","properties":{"File":{"type":"string","format":"binary","description":".CSV or .XLSX file with item data."},"Upsert":{"type":"boolean","default":false,"description":"If true, updates existing items where 'Value' matches."}}}}}},"responses":{"200":{"description":"The item(s) were created or queued successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessUriResponse"}}}}}}}}}
```

## Delete All Items in an Exception List

> Permanently deletes all items from a specified exception list. This cannot be undone.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Exception Lists","version":"v12"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"responses":{"SuccessDeleteResponse":{"description":"The resource was successfully deleted.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates that the resource was deleted."}}}}}}}},"paths":{"/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items":{"delete":{"summary":"Delete All Items in an Exception List","description":"Permanently deletes all items from a specified exception list. This cannot be undone.","operationId":"deleteAllExceptionListItems","tags":["Exception List Items"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"Your unique Account SID."},{"name":"ExceptionListId","in":"path","required":true,"schema":{"type":"integer"},"description":"The unique identifier for the exception list."}],"responses":{"200":{"$ref":"#/components/responses/SuccessDeleteResponse"}}}}}}
```

## Replace All Items in an Exception List

> Replaces all items within an existing exception list by uploading a file.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Exception Lists","version":"v12"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"SuccessUriResponse":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the operation was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the affected resource."}}}}},"paths":{"/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items":{"patch":{"summary":"Replace All Items in an Exception List","description":"Replaces all items within an existing exception list by uploading a file.","operationId":"replaceExceptionListItems","tags":["Exception List Items"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"Your unique Account SID."},{"name":"ExceptionListId","in":"path","required":true,"schema":{"type":"integer"},"description":"The unique identifier for the exception list."}],"requestBody":{"description":"A file containing the new set of items for the list.","required":true,"content":{"multipart/form-data":{"schema":{"type":"object","required":["File"],"properties":{"File":{"type":"string","format":"binary","description":".CSV or .XLSX file with the complete new list of items."}}}}}},"responses":{"200":{"description":"The items were replaced successfully.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessUriResponse"}}}}}}}}}
```

## Retrieve an Exception List Item

> Retrieves the details of a single item from an exception list.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Exception Lists","version":"v12"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"ExceptionListItem":{"type":"object","properties":{"Id":{"type":"integer","description":"The unique identifier for the exception list item."},"Value":{"type":"string","description":"The CATEGORY or SKU value."},"Name":{"type":"string","description":"Display name for the item."},"MatchMode":{"type":"string","description":"How the value is matched against incoming actions.","enum":["EQ","REGEX"]},"ListId":{"type":"integer","description":"The unique identifier of the parent exception list."},"CreatedDate":{"type":"string","format":"date-time","description":"The date and time the item was created."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this item in the impact.com API."}}}}},"paths":{"/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items/{ItemId}":{"get":{"summary":"Retrieve an Exception List Item","description":"Retrieves the details of a single item from an exception list.","operationId":"getExceptionListItemById","tags":["Exception List Items"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"Your unique Account SID."},{"name":"ExceptionListId","in":"path","required":true,"schema":{"type":"integer"},"description":"The unique identifier for the exception list."},{"name":"ItemId","in":"path","required":true,"schema":{"type":"integer"},"description":"The unique identifier for the exception list item."}],"responses":{"200":{"description":"A single exception list item object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExceptionListItem"}}}}}}}}}
```

## Delete an Exception List Item

> Permanently deletes a single item from an exception list. This cannot be undone.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Exception Lists","version":"v12"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"responses":{"SuccessDeleteResponse":{"description":"The resource was successfully deleted.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates that the resource was deleted."}}}}}}}},"paths":{"/Advertisers/{AccountSID}/ExceptionLists/{ExceptionListId}/Items/{ItemId}":{"delete":{"summary":"Delete an Exception List Item","description":"Permanently deletes a single item from an exception list. This cannot be undone.","operationId":"deleteExceptionListItem","tags":["Exception List Items"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"Your unique Account SID."},{"name":"ExceptionListId","in":"path","required":true,"schema":{"type":"integer"},"description":"The unique identifier for the exception list."},{"name":"ItemId","in":"path","required":true,"schema":{"type":"integer"},"description":"The unique identifier for the exception list item."}],"responses":{"200":{"$ref":"#/components/responses/SuccessDeleteResponse"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v12/reference/exception-lists/exception-list-items.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
